
CoCoALib - Bug #831

primary.cocoa5

01 Dec 2015 18:59 - John Abbott

Status: Closed Start date: 01 Dec 2015

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-0.99540 Feb 2016 Spent time: 0.50 hour

Description

The C5 test primary.cocoa5 fails because it calls CompleteToOrd on the following matrix:

1 1 1 1 1

0 0 0 1 1

1 1 1 0 0

declaring that the grading dim is 3.  This fails because the row rank is 2.    

Investigate, and fix.

History

#1 - 01 Dec 2015 19:00 - John Abbott

I have put this under CoCoALib even though the example comes from the C5 tests, because I think that te real problem is somewhere in CoCoALib. 

Too tired to investigate now.

#2 - 01 Dec 2015 22:39 - Anna Maria Bigatti

I did remember doing something like this.

This was because of a problem in cocoa 4 about 0 in the first row.

I think I can clean it up.

#3 - 22 Mar 2016 17:42 - Anna Maria Bigatti

- Status changed from New to Closed

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 100

I cannot remember what was done, but it works now.
